# -*-python-*-

Import ('env', 'src_glob')
sources = src_glob ('*.cc')
includes = src_glob ('include/*.hh')
outdir = Dir ('.').path

name = 'flower'
e = env.Copy ()
e.Append (CPPPATH = ['#/flower/include', outdir,])
if env['static']:
	e.Library (name, sources) 
if not env['static'] or env['shared']:
	e.SharedLibrary (name, sources)

po = env.Command ('lilypond.po', sources + includes, env['pocommand'])
env.Alias ('po-update', po)
